% f04_arma_show
% Ukzka ARMA proces

close all
clear all
clc

% y_t = 0.9*y_{t-1}+\epsilon_t + 0.9*\epsilon_{t-1}, ARMA(1,1) proces

% simulace cyklem
n=150;
e=randn(n,1);
y(1)=e(1);
for k=2:n
    y(k,1)=0.9*y(k-1,1)+e(k)+0.9*e(k-1);
end

% simulace pomoci funkci
A=[1 -0.9]; B=[]; C=[1 0.9];
th=idpoly(A,B,C);
yp=sim(th,e);

% srovnani - oboji je stejne
figure
plot(y)
hold on
plot(yp,'r--')
title('y_t = 0.9*y_{t-1}+\epsilon_t + 0.9*\epsilon_{t-1}, ARMA(1,1) proces')



figure
subplot(2,1,1)
plotacf(y,39)
title('Autokorelacni funkce; y_t = 0.9*y_{t-1}+\epsilon_t + 0.9*\epsilon_{t-1}, ARMA(1,1) proces')
subplot(2,1,2)
plotpacf(y,39)
title('Parcialni autokor. fce; y_t = 0.9*y_{t-1}+\epsilon_t + 0.9*\epsilon_{t-1}, ARMA(1,1) proces')